# IpePdfRef Class Reference
[Ipe Base]

The PDF reference object (indirect object). More...

Inherits IpePdfObj.

List of all members.

## Public Member Functions

- IpePdfRef (int val)
- virtual const IpePdfRef * Ref () const
- virtual void Write (IpeStream &stream) const
- int Value () const

## Detailed Description

The PDF reference object (indirect object).

## Member Function Documentation

const IpePdfRef * IpePdfRef::Ref | ( |  | ) | const`[virtual]`

| Return this object as PDF reference object. Reimplemented from IpePdfObj.

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp